Last Comment Bug 874641 - Fix warning: xpcom/base/nsUUIDGenerator.cpp [-Wsign-compare]
: Fix warning: xpcom/base/nsUUIDGenerator.cpp [-Wsign-compare]
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: All Android
: -- normal (vote)
: mozilla24
Assigned To: Shane Tully (:stully:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 14:48 PDT by Shane Tully (:stully:
Modified: 2013-05-25 21:09 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
fixed


Attachments
fix warning patch (791 bytes, patch)
2013-05-21 14:48 PDT, Shane Tully (:stully:
benjamin: review+
Details | Diff | Splinter Review

Description Shane Tully (:stully: 2013-05-21 14:48:05 PDT
Created attachment 752389 [details] [diff] [review]
fix warning patch

xpcom/base/nsUUIDGenerator.cpp:140:39 [-Wsign-compare] comparison between signed and unsigned integer expressions

Specific to Android
Comment 1 Chris Peterson [:cpeterson] 2013-05-24 11:06:42 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/bcc149a59ceb
Comment 2 Phil Ringnalda (:philor, back in August) 2013-05-25 21:09:15 PDT
https://hg.mozilla.org/mozilla-central/rev/bcc149a59ceb

Note You need to log in before you can comment on or make changes to this bug.